

# Documentation Map
View as [web page](https://microprediction.github.io/timemachines/map) or [source](https://github.com/microprediction/timemachines/blob/main/docs/map.md).


----------------------------------------------
Core concepts:

- [Skaters](https://microprediction.github.io/timemachines/skaters.html) explains one-line forecasting functions
    - [Interface](https://microprediction.github.io/timemachines/interface.html) provides more detail on the signature

Utilities:

- [Composition](https://microprediction.github.io/timemachines/composition.html) and residual chasing
- [Wiggling](https://microprediction.github.io/timemachines/wiggling.html) a skater (bootstrapping)
- [Ensembling](https://microprediction.github.io/timemachines/ensembling.html) a list of skaters

Assessment:

- [Elo ratings](https://microprediction.github.io/timemachines/eloratings.html) for skaters can be retrieved programmatically


-----------------------------------------------
More information:

- [Articles](https://microprediction.github.io/timemachines/articles.html) about using the timemachines package, and "skaters". 
- [Uses](https://microprediction.github.io/timemachines/interface.html) of this package.
- [Why](https://microprediction.github.io/timemachines/interface.html) it is done this way.
- [Capstone](https://microprediction.github.io/timemachines/capstone.html) provides a structured track for students. 

Peripheral:

- [Resources](https://microprediction.github.io/timemachines/resources.html) includes a list of interesting papers.  


-+- 

### See also [README](https://github.com/microprediction/timemachines/blob/main/README.md),  [CONTRIBUTE](https://github.com/microprediction/timemachines/blob/main/CONTRIBUTE.md), and [FAQ](https://github.com/microprediction/timemachines/blob/main/FAQ.md).


![skating](https://i.imgur.com/elu5muO.png)
